////////////////////////////////////////////////////////////////////
///////////////////Skybox//////////////////////////////////////////
//////////////////////////////////////////////////////////////////

textures/en/skynuit
{
	qer_editorimage textures/env/skybox_nuit_t.tga
	
	//q3map_lightImage textures/env/nuit_rt.tga
	
	q3map_surfacelight 500
	//q3map_surfacelight 60

	//q3map_skyLight 25 3 

	q3map_sun 0.9 .0.9 .9 60 40 70
	//q3map_sun .9 .9 1 70 65 78
		
	
	




	skyParms textures/env/nuit - -

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nomarks
	nopicmip
	nomipmaps
	
	
	{	
		map textures/sky/clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.005
		tcMod scale 3 3
        depthWrite
	}
}

////////////////////////////////////////////////////////////////////
///////////////////Decal///////////////////////////////////////////
//////////////////////////////////////////////////////////////////
	
	
		//------------------//
			//gris//
textures/daccord
{
   qer_editorimage textures/decal/daccord.jpg
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      map textures/decal/daccord.jpg
      blendfunc gl_dst_color gl_src_color
   }
}

textures/affichage_decal
{ 
	qer_editorimage textures/decal/affichage.tga
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/affichage.tga
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}


textures/sifrino
{ 
	qer_editorimage textures/decal/sifrino.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/sifrino.tga
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/rosa
{
	qer_editorimage textures/decal/rosa.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/rosa.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}	

textures/FS
{ 
	qer_editorimage textures/panneau/fs2_gris.tga
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
            	map textures/panneau/fs2_gris.tga
 		depthWrite
		blendFunc gl_dst_color gl_src_color
	}
}



		//route//

textures/route/virage_fleche
{
	qer_trans .5
	qer_editorimage textures/route/virage_fleche.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/route/virage_fleche.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}


textures/route/virage_trait
{
	qer_trans .5
	qer_editorimage textures/route/virage_trait.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/route/virage_trait.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}


textures/route/route_bus
{
	qer_trans .5
	qer_editorimage textures/route/route_bus.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/route/route_bus.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/route/route_parking
{
	qer_trans .5
	qer_editorimage textures/route/route_parking.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/route/route_parking.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/route/crime
{
	qer_trans .5
	qer_editorimage textures/route/crime.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/route/crime.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}



		//Private joke//

textures/li2_decal
{
	qer_editorimage textures/decal/li2.tga
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/decal/li2.tga
		blendfunc gl_dst_color gl_src_color
	}
}



textures/sac
{
   qer_editorimage textures/decal/sac.jpg
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      	map textures/decal/sac.jpg
      	//blendFunc GL_ONE GL_ONE
	depthWrite
	blendfunc gl_dst_color gl_src_color
   }
}


textures/bc_rox

{
   qer_editorimage textures/decal/bc_rox.jpg
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
        map textures/decal/bc_rox.jpg
	depthWrite
	blendfunc gl_dst_color gl_src_color
   }
}

textures/bear
{
   qer_editorimage textures/decal/pedobear.jpg
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      map textures/decal/pedobear.jpg
      blendfunc gl_dst_color gl_src_color
   }
}

textures/decal/campeur
{
   qer_editorimage textures/decal/campeur.jpg
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      map textures/decal/campeur.jpg
      blendfunc gl_dst_color gl_src_color
   }
}


		//Other//

textures/vv_decal2
{ 
	qer_editorimage textures/decal/vv_decal2.tga
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal2.tga
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/vv_decal7
{ 
	qer_editorimage textures/decal/vv_decal7.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal7.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}


textures/vv_decal9
{ 
	qer_editorimage textures/decal/vv_decal9.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal9.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/vv_decal5
{ 
	qer_editorimage textures/decal/vv_decal5.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal5.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/vv_decal8
{ 
	qer_editorimage textures/decal/vv_decal8.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal8.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/vv_decal6
{ 
	qer_editorimage textures/decal/vv_decal6.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal6.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/vv_decal4
{ 
	qer_editorimage textures/decal/vv_decal4.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal4.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}


textures/vv_decal3
{ 
	qer_editorimage textures/decal/vv_decal3.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal3.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}


textures/vv_decal10
{ 
	qer_editorimage textures/decal/vv_decal10.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal10.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}


textures/vv_decal1
{ 
	qer_editorimage textures/decal/vv_decal1.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/decal/vv_decal1.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

		//------------------//
			//black//




// shaders and textures from ut4_kingdom_rc6 by Papyrunny
textures/pandora/lierre02
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
    deformVertexes wave 50 sin 0 .3 0 .3
	{
        map textures/pandora/lierre02.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}


////////////////////////////////////////////////////////////////////
///////////////////Transparence////////////////////////////////////
//////////////////////////////////////////////////////////////////

		//------------------//
			//Objet//

textures/aeration
{
	qer_editorimage textures/aeration.tga
	surfaceparm nonsolid
	surfaceparm alphashadow
	nopicmip
	q3map_invert
	{
		map textures/aeration.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/maille_trans
{ 
	qer_editorimage textures/cgtextures/maille.tga
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
   	{
		map textures/cgtextures/maille.tga
 		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

textures/antenne
{
   qer_editorimage textures/metal/metal_grey_modif.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   polygonOffset
   nopicmip
   {
      map textures/metal/metal_grey_modif.tga
      blendfunc gl_dst_color gl_src_color
   } 
}

		//------------------//
			//personnage//

textures/tortue
{
	qer_editorimage textures/stratege/tortue.jpg
	surfaceparm nonsolid
   	surfaceparm nomarks
   	nopicmip
   	deformVertexes autosprite 
	surfaceparm nolightmap
	cull none	
	{
        map textures/stratege/tortue.jpg
        blendfunc gl_dst_color gl_src_color
   	}
}
textures/dora
{
	qer_editorimage textures/stratege/dora.jpg
	surfaceparm nonsolid
   	surfaceparm nomarks
   	nopicmip
   	deformVertexes autosprite2 
	surfaceparm nolightmap
	cull none	
	{
        map textures/stratege/dora.jpg
        blendFunc GL_ONE GL_SRC_ALPHA
   	}
}





		//------------------//
			//vegetation//

//From ut4_publicwork
textures/publicworks/buisson
{
	surfaceparm trans
	cull none
	nopicmip
	{	
	map textures/publicworks/buisson.tga
	tcMod scale 1 1
	blendFunc GL_ONE GL_ZERO
	alphaFunc GE128
	depthWrite
	rgbGen identity
	}
	{
	map $lightmap
	rgbGen identity
	blendFunc GL_DST_COLOR GL_ZERO
	depthFunc equal	
	}
}


		//------------------//
			//grille//
//From ut_txantrea
textures/txantrea2/verja6_balcon2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/verja6_balcon2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}


textures/txantrea2/verja1
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/verja1.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/txantrea2/verja2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/verja2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

//From ut_txantrea
textures/txantrea2/verja8
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/verja8.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
		//panneau//

textures/panneau/panneau_communal
{ 
	qer_editorimage textures/panneau/panneau_communal.jpg
	surfaceparm nonsolid
	surfaceparm nomarks
   	polygonOffset
   	nopicmip
        {
		map textures/panneau/panneau_communal.jpg
		depthWrite
		blendfunc gl_dst_color gl_src_color
	}
}

		//------------------//
			//grue//

//From ut_txantrea
textures/txantrea2/grua
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/grua.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}


		//------------------//
			//Linge//

//From ut_txantrea
textures/txantrea2/ropa
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/ropa.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

//From ut_txantrea
textures/txantrea2/ropa2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/ropa2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

//From ut_txantrea
textures/txantrea2/ropa3
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/txantrea2/ropa3.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}




////////////////////////////////////////////////////////////////////
//////////////////////////////Surfacesparm/////////////////////////
//////////////////////////////////////////////////////////////////

		//Mur_nonsolide//

textures/bricks/nonsolide
{
   qer_editorimage textures/bricks/b_pv_v1a.tga
   surfaceparm nonsolid
	{
	map textures/bricks/b_pv_v1a.tga
   	}
	{
	map $lightmap
	blendfunc filter
	depthfunc equal
	}
}

textures/bricks/nonsolide2
{
   qer_editorimage textures/bricks/b_sr_20.tga
   surfaceparm nonsolid
	{
	map textures/bricks/b_sr_20.tga
   	}
	{
	map $lightmap
	blendfunc filter
	depthfunc equal
	}
}



	//Echelle//

textures/common/ladder2
{
 	qer_editorimage textures/common/ladder2.jpg
	qer_trans 0.3 // Transparence dans l editeur,
	surfaceparm ladder // Le shader devient une chelle
	surfaceparm nodraw // Le shader sera invisible
	surfaceparm nomarks // Le shader arrete les balles mais ne laisse aucune marque.
	surfaceparm nonsolid // Le shader ne bloquera pas le mouvement d entites dans le jeu
	surfaceparm playerclip // Le shader bloquera le mouvement de joueurs
	surfaceparm trans // En gros cela rend le shader transparent
}

	//Voiture//

textures/common/s&w
{
qer_trans 0.3
qer_editorimage textures/common/s&w.jpg
surfaceparm metalsteps
surfaceparm nodraw
surfaceparm playerclip
surfaceparm trans
surfaceparm clipmissile
}

	//watercaulk//

textures/common/watercaulk2
{
qer_editorimage textures/common/watercaulk2.jpg
qer_trans .5
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
}



////////////////////////////////////////////////////////////////////
///////////////////////////Vitre//////fenetre//////////////////////
//////////////////////////////////////////////////////////////////

//shader by PapyRuny from Ut4_kingpin_rc4
textures/runy5/vitreking1
{
      qer_trans .5
      surfaceparm trans
	

             cull disable
             {
               map textures/runy5/vitreking1.tga
               tcgen environment
               blendfunc gl_one gl_one
               rgbGen identity
              }
              {
               map $lightmap
               blendFunc gl_dst_color gl_zero
               rgbgen identity
              }
}

textures/glass
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


textures/glass_nonsolid
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}





//from toxic
textures/toxic2_new/window_trans
{
	{	
		map textures/toxic2_new/window_trans.tga
	}
	{
		map textures/jeffj/rcfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/toxic2_new/window_trans.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}

//from toxic
textures/toxic2_new/window_trans2
{
	{	
		map textures/toxic2_new/window_trans2.tga
	}
	{
		map textures/jeffj/rcfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/toxic2_new/window_trans2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR 
	}
}




////////////////////////////////////////////////////////////////////
//////////////////////////////water////////////////////////////////
//////////////////////////////////////////////////////////////////



textures/water_egout
{
		qer_editorimage textures/cgtextures/water_egout.jpg
		qer_trans .5

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull none

		deformVertexes wave 32 sin .5 .5 0 .5
		{ 
			map textures/cgtextures/water_egout.jpg
			blendFunc blend
			rgbGen identity
		}
}

///////////////////////////////////////////////////////////////////////////
////////////////////////////Lumiere///Effet Lumineux///////////////////////
///////////////////////////////////////////////////////////////////////////




		//lumiere//
//by Skaz 
textures/pandora/light02
{
	qer_editorimage textures/urban_light/yellowblend
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 12000
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/urban_light/yellowblend
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/urban_light/yellowblend
		blendfunc GL_ONE GL_ONE
	}
}



//***************************************************************
//*								*
//*          Lighting for use on non-visible brushes		*
//*								*
//***************************************************************


//	Yellow lights
//	=============

textures/urban_light/yellow_light_100
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1
	
	q3map_surfacelight 100
	q3map_lightimage textures/urban_light/yellowblend.tga
}


textures/urban_light/yellow_light_200
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 200
	q3map_lightimage textures/urban_light/yellowblend.tga
}

textures/urban_light/yellow_light_350
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 350
	q3map_lightimage textures/urban_light/yellowblend.tga
}


textures/urban_light/yellow_light_500
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 500
	q3map_lightimage textures/urban_light/yellowblend.tga
}

textures/urban_light/yellow_light_750
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 750
	q3map_lightimage textures/urban_light/yellowblend.tga
}

textures/urban_light/yellow_light_1k
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 1000
	q3map_lightimage textures/urban_light/yellowblend.tga
}

textures/urban_light/yellow_light_2k
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 2000
	q3map_lightimage textures/urban_light/yellowblend.tga
}

textures/urban_light/yellow_light_3k
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 3500
	q3map_lightimage textures/urban_light/yellowblend.tga
}

textures/urban_light/yellow_light_5k
{
	qer_editorimage textures/urban_light/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 5000
	q3map_lightimage textures/urban_light/yellowblend.tga
}


		//effet lumineux//


//shader by PapyRuny from Ut4_kingpin_rc4
//lensflares

textures/runy5/lensflare4
{
	deformVertexes autoSprite
	q3map_surfacelight 80
	//q3map_lightRGB 1 0 0
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
      {
      	clampmap textures/runy5/lensflare4.tga
            blendFunc GL_ONE GL_ONE
	}
}

//by Eutectic
textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	//surfaceparm nomipmaps
        //nopicmip
	{
		map textures/sfx/beam.tga
                tcMod Scroll .3 0
                blendFunc add
        }
        // {
	//	map textures/sfx/beam.tga
        //        tcMod Scroll -.3 0
        //        blendFunc GL_ONE GL_ONE
        // }
     
}



//by skaz 
textures/beijing/beam_car
{
	qer_editorimage textures/beijing/light_beam.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	deformvertexes autosprite2
	cull none
	{
		map textures/beijing/light_beam.tga
		blendfunc gl_src_alpha gl_one
		rgbgen const ( 1 0.95 0.8 )
	}
}

		//panneau lumineux//

textures/cgtextures/panneau_exit
{
	qer_trans .5
	qer_editorimage textures/cgtextures/panneau_exit.tga
	q3map_lightimage textures/cgtextures/panneau_exit.tga
	q3map_surfacelight 1200
	nopicmip
	{
		map textures/cgtextures/panneau_exit.tga
		rgbgen identity
	}
}

textures/duf/sign_exit
{
	qer_trans .5
	qer_editorimage textures/duf/sign_exit.tga
	q3map_lightimage textures/duf/sign_exit.tga
	q3map_surfacelight 500
	nopicmip
	{
		map textures/duf/sign_exit.tga
		rgbgen identity
	}
}


		//legumes//
textures/legumes/Vegetables0014_thumblarge
{
	qer_trans .5
	qer_editorimage textures/legumes/Vegetables0014_thumblarge.tga
	q3map_lightimage textures/legumes/Vegetables0014_thumblarge.tga
	q3map_surfacelight 300
	nopicmip
	{
		map textures/legumes/Vegetables0014_thumblarge.tga
		rgbgen identity
	}
}

textures/legumes/Vegetables0002_1_thumblarge
{
	qer_trans .5
	qer_editorimage textures/legumes/Vegetables0002_1_thumblarge.tga
	q3map_lightimage textures/legumes/Vegetables0002_1_thumblarge.tga
	q3map_surfacelight 300
	nopicmip
	{
		map textures/legumes/Vegetables0002_1_thumblarge.tga
		rgbgen identity
	}
}

textures/legumes/Vegetables0008_1_thumblarge
{
	qer_trans .5
	qer_editorimage textures/legumes/Vegetables0008_1_thumblarge.tga
	q3map_lightimage textures/legumes/Vegetables0008_1_thumblarge.tga
	q3map_surfacelight 300
	nopicmip
	{
		map textures/legumes/Vegetables0008_1_thumblarge.tga
		rgbgen identity
	}
}


textures/legumes/Vegetables0004_thumblarge
{
	qer_trans .5
	qer_editorimage textures/legumes/Vegetables0004_thumblarge.tga
	q3map_lightimage textures/legumes/Vegetables0004_thumblarge.tga
	q3map_surfacelight 300
	nopicmip
	{
		map textures/legumes/Vegetables0004_thumblarge.tga
		rgbgen identity
	}
}


textures/legumes/Vegetables0022_thumblarge
{
	qer_trans .5
	qer_editorimage textures/legumes/Vegetables0022_thumblarge.tga
	q3map_lightimage textures/legumes/Vegetables0022_thumblarge.tga
	q3map_surfacelight 300
	nopicmip
	{
		map textures/legumes/Vegetables0022_thumblarge.tga
		rgbgen identity
	}
}




		//enseigne lumineuse//	


textures/couleur/rouge_fade_l
{
	qer_trans .5
	qer_editorimage textures/couleur/rouge_fade.jpg
	q3map_lightimage textures/couleur/rouge_fade.jpg
	q3map_surfacelight 1000
	nopicmip
	{
		map textures/couleur/rouge_fade.jpg
		rgbgen identity
	}
}




textures/cgtextures/hotel_light_on
{
	qer_trans .5
	qer_editorimage textures/cgtextures/hotel_light.tga
	q3map_lightimage textures/cgtextures/hotel_light.tga
	q3map_surfacelight 800
	nopicmip
	{
		map textures/cgtextures/hotel_light.tga
		rgbgen identity
	}
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
}

textures/cgtextures/hotel_white
{
	qer_trans .5
	qer_editorimage textures/cgtextures/hotel_white.tga
	q3map_lightimage textures/cgtextures/hotel_white.tga
	q3map_surfacelight 800
	nopicmip
	{
		map textures/cgtextures/hotel_white.tga
		rgbgen identity
	}
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
}

textures/cgtextures/hotel
{
	qer_trans .5
	qer_editorimage textures/cgtextures/hotel.tga
	q3map_lightimage textures/cgtextures/hotel.tga
	q3map_surfacelight 1000
	nopicmip
	{
		map textures/cgtextures/hotel.tga
		rgbgen identity
	}
}


textures/enseigne/gendarmerie
{
	qer_trans .5
	qer_editorimage textures/enseigne/gendarmerie.jpg
	q3map_lightimage textures/enseigne/gendarmerie.jpg
	q3map_surfacelight 1000
	nopicmip
	{
		map textures/enseigne/gendarmerie.jpg
		rgbgen identity
	}
}



textures/cgtextures/arcade_ens
{
	qer_trans .5
	qer_editorimage textures/cgtextures/arcade_ens.tga
	q3map_lightimage textures/cgtextures/arcade_ens.tga
	q3map_surfacelight 1000
	nopicmip
	{
		map textures/cgtextures/arcade_ens.tga
		rgbgen identity
	}
}

textures/riches_objects/r_churchclockface_256
{
	qer_trans .5
	qer_editorimage textures/riches_objects/r_churchclockface_256.tga
	q3map_lightimage textures/riches_objects/r_churchclockface_256.tga
	q3map_surfacelight 400
	nopicmip
	{
		map textures/riches_objects/r_churchclockface_256.tga
		rgbgen identity
	}
}

textures/enseigne/mcdonalds_logos
{
	qer_trans .5
	qer_editorimage textures/enseigne/mcdonalds_logo.tga
	q3map_lightimage textures/enseigne/mcdonalds_logo.tga
	q3map_surfacelight 1500
	nopicmip
	{
		map textures/enseigne/mcdonalds_logo.tga
		rgbgen identity
	}
}

textures/cgtextures/chinois_ens2
{
	qer_trans .5
	qer_editorimage textures/cgtextures/chinois_ens2.tga
	q3map_lightimage textures/cgtextures/chinois_ens2.tga
	q3map_surfacelight 1500
	nopicmip
	{
		map textures/cgtextures/chinois_ens2.tga
		rgbgen identity
	}
}	

textures/cgtextures/chinois_ens
{
	qer_trans .5
	qer_editorimage textures/cgtextures/chinois_ens.tga
	q3map_lightimage textures/cgtextures/chinois_ens.tga
	q3map_surfacelight 1500
	nopicmip
	{
		map textures/cgtextures/chinois_ens.tga
		rgbgen identity
	}
}	


textures/cgtextures/pizza_ens
{
	qer_trans .5
	qer_editorimage textures/cgtextures/pizza_ens.tga
	q3map_lightimage textures/cgtextures/pizza_ens.tga
	q3map_surfacelight 1500
	nopicmip
	{
		map textures/cgtextures/pizza_ens.tga
		rgbgen identity
	}
}	


textures/stratege/telephone_portable
{
	qer_trans .5
	qer_editorimage textures/stratege/telephone_portable.tga
	q3map_lightimage textures/stratege/telephone_portable.tga
	q3map_surfacelight 1500
	nopicmip
	{
		map textures/stratege/telephone_portable.tga
		rgbgen identity
	}
}	

textures/stratege/kit_main_libre
{
	qer_trans .5
	qer_editorimage textures/stratege/kit_main_libre.tga
	q3map_lightimage textures/stratege/kit_main_libre.tga
	q3map_surfacelight 1500
	nopicmip
	{
		map textures/stratege/kit_main_libre.tga
		rgbgen identity
	}
}	


		//Metal// 


textures/urban_terror2/metal
{   
 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/urban_terror2/metal.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/windows/window_small_3_light
{
	qer_trans .5
	qer_editorimage textures/windows/window_small_3.tga
	q3map_lightimage textures/windows/window_small_3.tga
	q3map_surfacelight 1500
	nopicmip
	{
		map textures/windows/window_small_3.tga
		rgbgen identity
	}
}	



///////////////////////////////////////////////////////////////////////////
////////////////////Enseigne/////////Animation////////////////////////////
/////////////////////////////////////////////////////////////////////////

textures/perso/enseigne/maze
{
	qer_trans .5
	qer_editorimage textures/enseigne/maze_on.tga
	q3map_lightimage textures/enseigne/maze_on.tga
	q3map_surfacelight 700
	nopicmip
	{
		map textures/enseigne/maze_off.tga
		rgbgen identity
	}
	{
		map textures/enseigne/maze_on.tga
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/enseigne/pharma_f
{
 	qer_editorimage textures/enseigne/pharma_4.tga
 	surfaceparm nomarks
 	q3map_surfacelight 1000
	nopicmip
 	qer_trans 0.5
       {       
         animmap 1 textures/enseigne/pharma_1.tga textures/enseigne/pharma_2.tga textures/enseigne/pharma_3.tga textures/enseigne/pharma_4.tga        textures/enseigne/pharma_1.tga
         textures/enseigne/pharma_4.tga
         rgbGen identity
       }                  
       //{
	//	map textures/enseigne/pharma_fond.tga
	//	alphaFunc GE128
	//	rgbGen wave sin .6 .2 0 .6
                                 	
       //}
       {
		map $lightmap
		rgbGen identity
		blendFunc filter
       }
}

textures/enseigne/pharmacy
{
 qer_editorimage textures/enseigne/pharma_4.tga
 //surfaceparm nomarks
 //q3map_surfacelight 1500
 qer_trans .5
  nopicmip			
       {       
         animmap 0.5 textures/enseigne/pharma_1.tga textures/enseigne/pharma_2.tga textures/enseigne/pharma_3.tga textures/enseigne/pharma_4.tga textures/enseigne/pharma_1.tga textures/enseigne/pharma_4.tga
       }                  
}


textures/enseigne/hotel
{
	qer_trans .5
	qer_editorimage textures/cgtextures/hotel_light.tga
	q3map_lightimage textures/cgtextures/hotel_light.tga
	q3map_surfacelight 1000
	nopicmip
	{
		map textures/cgtextures/hotel_light.tga
		rgbgen identity
	}
	{
		map textures/cgtextures/hotel_white.tga
		blendfunc add
		rgbGen wave noise 0.5 1 0 8
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}



		//------------------//
		//Feu signalisation//
		
//shader from ut4_superman
// x-axis streets and y-axis streets
textures/ut4_superman/stoplight_red_x
{
	qer_editorimage textures/ut4_superman/streetlight_red.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_superman/streetlight_red.tga textures/ut4_superman/streetlight_red.tga textures/ut4_superman/streetlight_red.tga textures/ut4_superman/streetlight_red.tga textures/ut4_superman/streetlight_red_dim.tga textures/ut4_superman/streetlight_red_dim.tga textures/ut4_superman/streetlight_red_dim.tga textures/ut4_superman/streetlight_red_dim.tga
		alphafunc gt0
	}
}
textures/ut4_superman/stoplight_yellow_x
{
	qer_editorimage textures/ut4_superman/streetlight_yellow.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow.tga
		alphafunc gt0
	}
}
textures/ut4_superman/stoplight_green_x
{
	qer_editorimage textures/ut4_superman/streetlight_green.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green.tga textures/ut4_superman/streetlight_green.tga textures/ut4_superman/streetlight_green.tga textures/ut4_superman/streetlight_green_dim.tga 
		alphafunc gt0
	}
}

////////////////////////////////////////////////
///////////////////////////////////////////////

textures/ut4_superman/stoplight_red_y
{
	qer_editorimage textures/ut4_superman/streetlight_red.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_superman/streetlight_red_dim.tga textures/ut4_superman/streetlight_red_dim.tga textures/ut4_superman/streetlight_red_dim.tga textures/ut4_superman/streetlight_red_dim.tga textures/ut4_superman/streetlight_red.tga textures/ut4_superman/streetlight_red.tga textures/ut4_superman/streetlight_red.tga textures/ut4_superman/streetlight_red.tga
		alphafunc gt0
	}
}
textures/ut4_superman/stoplight_yellow_y
{
	qer_editorimage textures/ut4_superman/streetlight_yellow.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga textures/ut4_superman/streetlight_yellow_dim.tga 
		alphafunc gt0
	}
}
textures/ut4_superman/stoplight_green_y
{
	qer_editorimage textures/ut4_superman/streetlight_green.tga
	surfaceparm nolightmap
	noMipMaps
	cull back
	polygonoffset
	{
		animmap .2	textures/ut4_superman/streetlight_green.tga textures/ut4_superman/streetlight_green.tga textures/ut4_superman/streetlight_green.tga textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green_dim.tga textures/ut4_superman/streetlight_green_dim.tga 
		alphafunc gt0
	}
}

//by stratege
// x-axis streets 
textures/route/pieton_x
{
	qer_editorimage textures/route/pieton_vert.tga
	surfaceparm nolightmap
	noMipMaps
	cull none
	polygonoffset
	{
		animmap .2 textures/route/pieton_vert.tga textures/route/pieton_vert.tga textures/route/pieton_vert.tga textures/route/pieton_rouge.tga textures/route/pieton_rouge.tga textures/route/pieton_rouge.tga textures/route/pieton_rouge.tga  textures/route/pieton_vert.tga 
		//alphafunc gt0
	}
}

// x-axis streets 
textures/route/pieton_y
{
	qer_editorimage textures/route/pieton_rouge.tga
	surfaceparm nolightmap
	noMipMaps
	cull none
	polygonoffset
	{
		animmap .2 textures/route/pieton_rouge.tga textures/route/pieton_rouge.tga textures/route/pieton_rouge.tga textures/route/pieton_rouge.tga textures/route/pieton_vert.tga textures/route/pieton_vert.tga textures/route/pieton_vert.tga  textures/route/pieton_rouge.tga 
		//alphafunc gt0
	}
}

textures/sfx/zombi
{
	qer_editorimage textures/tableau/zombi7.tga
	{
		animMap 1 textures/tableau/zombi1.tga textures/tableau/zombi2.tga textures/tableau/zombi3.tga textures/tableau/zombi4.tga textures/tableau/zombi5.tga textures/tableau/zombi6.tga textures/tableau/zombi7.tga
		rgbGen identity
	}
	      //{
		//map textures/sfx/zombi_forme.tga
		//blendfunc blend
		//depthWrite
	      //}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/stratege/mizu_base
{
	qer_editorimage textures/stratege/mizu1.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	noMipMaps
	polygonoffset
	{
		animmap 5 textures/stratege/mizu1.jpg textures/stratege/mizu2.jpg textures/stratege/mizu3.jpg textures/stratege/mizu4.jpg textures/stratege/mizu5.jpg textures/stratege/mizu6.jpg
	}
}


textures/enseigne/hotel_l
{
	qer_trans .5
	qer_editorimage textures/enseigne/hotel_lune.tga
   	surfaceparm nonsolid
	surfaceparm nomarks
   	nopicmip
   {
      	map textures/enseigne/hotel_lune.tga
      	blendfunc gl_dst_color gl_src_color
   }
}


		//animation//

textures/defil
{
	qer_editorimage textures/panneau/defilement.tga
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	nopicmip
	qer_trans 0.5
	
	{
		map textures/panneau/defilement.tga
		tcMod scroll 0 -.1
	}
}


textures/avion
{ 
	qer_trans 0.5
	qer_editorimage textures/stratege/avion.tga
//	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	polygonOffset
	nomipmaps
	nopicmip

	{
        map textures/stratege/avion.tga
	blendfunc filter
	tcMod scroll 0 -.08
	}
	

}

///////////////////////////////////////////////////////////////////////////
////////////////////////////Fourrure//////////////////////////////////////
/////////////////////////////////////////////////////////////////////////
textures/fur/texture_fur
{
	qer_editorimage textures/inconnu/fur.jpg
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_lightimage textures/inconnu/fur.tga
	q3map_fur 8 1.25 0.1
	
	surfaceparm trans
	surfaceparm pointlight
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm noimpact

	nomipmaps
		
	{
		map textures/inconnu/fur.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}
///////////////////////////////////////////////////////////////////////////
////////////////////////////Video ROQ/////////////////////////////////////
/////////////////////////////////////////////////////////////////////////

//from mxl_school
textures/sch_fx/guess256
{
	surfaceparm nolightmap
	surfaceparm nomarks
	qer_editorimage textures/sch_fx/roq.tga
	{
		videomap video/guess256.RoQ
		rgbGen wave triangle 1 0.3 0 11 
	}
}

///////////////////////////////////////////////////////////////////////////
////////////////////////////levelshots////////////////////////////////////
/////////////////////////////////////////////////////////////////////////
levelshots/ut4_bloc_2.0
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_bloc_1.tga
        }
	{
                map levelshots/ut4_bloc_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.04
	}
	{
        map levelshots/ut4_bloc_3.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.04
        }
}


///////////////////////////////////////////////////////////////////////////
////////////////////////////MiniMap///////////////////////////////////////
/////////////////////////////////////////////////////////////////////////

maps/ut4_bloc_2.5
{
	nopicmip
	{
		map maps/ut4_bloc_2.5.TGA
		blendfunc blend
		alphagen vertex
	}
	{
		map maps/ut_canyon_mask.tga
		blendfunc gl_zero gl_one
		alphafunc GT0
		depthwrite
	}
	{	
		map textures/particules/sn_smoke_modif.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.005 0.005
		//tcMod scale 0.5 0.5
		//tcMod turb 0 0.5 0 0.05
                depthWrite
	}
}
